1.3
1.3
post /v1/images/{image_id}/import
Description
Connect an external image file to use as an image resource.
You need the URL of the image file uploaded to Object Storage.
The Object Storage bucket containing the image must be in the same zone as the server you are creating.
The image file must have a .qcow2 extension.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | 이미지 ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageImportRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/import
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2"
}